/**
* Next Rollover
* (c) 2013 Bill, BunKat LLC.
*
* Determines if a value will cause a particualr constraint to rollover to the
* next largest time period. Used primarily when a constraint has a
* variable extent.
*/

const constants = require('./constant')

module.exports = function nextRollover (d, val, constraint, period) {
  const cur = constraint.val(d)
  const max = constraint.extent(d)[1]

  return (((val || max) <= cur) || val > max) ?
            new Date(period.end(d).getTime() + constants.SEC) :
            period.start(d);
};
