/**
* Prev Rollover
* (c) 2013 Bill, BunKat LLC.
*
* Determines if a value will cause a particualr constraint to rollover to the
* previous largest time period. Used primarily when a constraint has a
* variable extent.
*/

module.exports = function prevRollover (d, val, constraint, period) {
  const cur = constraint.val(d)

  return (val >= cur || !val) ?
            period.start(period.prev(d, period.val(d)-1)) :
            period.start(d);
};
